<?php

namespace Andy\ForumListCount\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class ForumListCount extends Entity
{
	public static function getStructure(Structure $structure)
	{
		$structure->table = 'xf_andy_forum_list_count';
		$structure->shortName = 'Andy\ForumListCount:ForumListCount';
		$structure->primaryKey = 'count_date';
		$structure->columns = [
			'count_date' => ['type' => self::UINT, 'default' => 0],
            'count_guest' => ['type' => self::UINT, 'default' => 0],
            'count_member' => ['type' => self::UINT, 'default' => 0],
            'count_robot' => ['type' => self::UINT, 'default' => 0]
		];
		$structure->getters = [];
		$structure->relations = [];

		return $structure;
	}	
}